Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.monitor
Class ProcessInstance

    java.lang.Object
      org.apache.ode.bpel.runtime.monitor.ProcessInstance

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessInstance

extends java.lang.Object
implements java.io.Serializable

Describes a process instance.

See Also:
  Serialized Form

Constructor Summary
`ProcessInstance(java.lang.String instanceId, java.lang.String rootScopeId, long createTime, short state)` Constructor.

Method Summary
`void` | `addCorrelationSet(java.lang.String setName, java.util.Properties values)` Adds a global correlation set with its values
`java.util.Properties` | `getCorrelation(java.lang.String name)` The correlation values for a correlation set.
`long` | `getCreateTime()` The time the instance was created.
`java.lang.String[]` | `getProcessCorrelations()` Set of global correlation sets.
`java.lang.String` | `getProcessInstanceId()` Unique identifier for the process instance.
`java.lang.String` | `getRootScopeId()` Unique identifier for the root scope of the process.
`short` | `getState()` State of this process instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessInstance

    public ProcessInstance(java.lang.String instanceId,
                           java.lang.String rootScopeId,
                           long createTime,
                           short state)

  Constructor.

  Parameters:
    `instanceId` - unique ID for this process instance
    `rootScopeId` - unique ID for the root scope of this process instance
    `createTime` - create time of this process instance
    `state` - state of this process instance

Method Detail

### getCorrelation

    public java.util.Properties getCorrelation(java.lang.String name)

  The correlation values for a correlation set.

  Parameters:
    `name` - name of the global correlation set.
  Returns:
    Values of the correlation set.

### getCreateTime

    public long getCreateTime()

  The time the instance was created.

  Returns:
    Returns the createTime.

### getProcessCorrelations

    public java.lang.String[] getProcessCorrelations()

  Set of global correlation sets.

  Returns:
    Returns the names of global correlation sets.

### getProcessInstanceId

    public java.lang.String getProcessInstanceId()

  Unique identifier for the process instance.

  Returns:
    Returns the process instanceId.

### getRootScopeId

    public java.lang.String getRootScopeId()

  Unique identifier for the root scope of the process.

  Returns:
    Returns the rootScopeId.

### getState

    public short getState()

  State of this process instance.

  Returns:
    staet of this process instance

### addCorrelationSet

    public void addCorrelationSet(java.lang.String setName,
                                  java.util.Properties values)

  Adds a global correlation set with its values

  Parameters:
    `setName` - correlation set name
    `values` - correlation set values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD